
Ryzom - Feature # 41

Status: Closed Priority: Normal
Author: vl Category: OS: Mac
Created: 09/03/2008 Assignee: rti
Updated: 09/29/2010 Due date:
Subject: Port NeL on Mac
Description

NeL works on mac using X11 stuff. But it need a real native Mac integration

Related issues:
related to Ryzom - Feature # 947: NeL/Ryzom: Run natively on Mac OS X using C... Closed 05/29/2010

History
#1 - 10/20/2008 05:55 pm - Spex

As the Mac version uses OpenGL similar to the Linux "port", the idea was to rip platform specific code from the OpenGL driver and create an interface
to GL context retrieval and input handling. These interfaces can be filled with platform specific implementations for Windows, Linux and MacOSX;
allowing us a generic way to access functionality like mode setting and input retrieval while having it running natively.

What I'm not yet sure about in relation to the MacOSX port is which framework we should rely on. I would need to check again, we have Cocoa &
Objective-C(+) and another one, which is based on C+ (which is probably easier to integrate into the NeL build).

#2 - 05/11/2009 03:37 pm - sfb
- Category set to 3d - OpenGL
- Target version set to 0.8.0

This will be linked to a forth-coming issue regarding separating the graphics window and input emitter setup from the 3D driver. It has been decided
that this is essential to scaling to additional platforms. Putting this off to 0.8.0 is therefore necessary.

#3 - 12/22/2009 09:02 pm - kervala

I don't think it would be a good idea to use the Mac OS X C++ API (Carbon), because this one is only 32 bits and Snow Leopard is a 64 bits OS so it
will dropped in some future versions.

We don't have other choice to code specific parts (even minimal) in Objective-C and use Cocoa (which is 32 and 64 bits compatible). Most of C++
multiplatform GUI libs (wxWidgets and Qt for example) switched from Carbon to Cocoa and we could reutilize their code :)

#4 - 09/29/2010 09:07 pm - kervala
- Project changed from NeL to Ryzom
- Category deleted (3d - OpenGL)
- Target version deleted (0.8.0)

#5 - 09/29/2010 10:16 pm - kervala
- Category set to OS: Mac
- Status changed from New to Closed
- Assignee set to rti
- Target version set to Version 0.8.0
- % Done changed from 0 to 100
